<template>
  <div>
    <b-container fluid>
      <br />
      <br />
      <b-row>
        <b-col cols="4">
          <b-card-body id="headerDetail">
            <header id="header">ติดต่อเรา</header>
            <form ref="form">
              <b-row class="company">
                <b-col>
                  <b-row>
                    <div class="Detailbox">
                      <a>ชื่อบริษัท: Summer Company</a><br />
                      <a>ลักษณะ: การค้าเชิงพาณิชย์/ขนส่ง</a><br />
                      <a>สวัสดิการ: ประกันสังคม,ค่าเบี้ยเลี้ยง</a><br />
                      <a>ที่อยู่: 59/7 ถ.บางแสนสาย4ใต้ ต.แสนสุข</a><br />
                      <a>อ.เมืองชลบุรี จ.ชลบุรี 20130</a><br /><br />
                      <a>เบอร์โทรศัพท์: 02-289-4498</a><br />
                      <a>E-mail: Job_Thail@gmail.com</a><br />
                      <a>เวลาทำการ: จันทร์ - ศุกร์ 8.30-18.00</a>
                    </div>
                  </b-row>
                </b-col>
              </b-row>
            </form>
          </b-card-body>
          <br />

          <img
            src="https://cdn.discordapp.com/attachments/766290900762361857/817425740949225482/map.png"
            alt="success"
            width="300px;"
            id="correct"
          />
        </b-col>

        <b-col cols="7">
          <b-row>
            <b-col id="detail">
              <p style="margin-top: -5px; margin-left: 380px">
                หากต้องการทราบรายละเอียดเพิ่มเติม
              </p>
              <p style="margin-top: -7px; margin-left: 420px">
                กรุณากรอกข้อมูลด้านล่าง
              </p>
              <div
                class="card form"
                style="
                  border: solid 3px #ebebe0;
                  padding: 15px;
                  margin: 150px;
                  margin-top: -10px;
                  width: 700px;
                "
              >
                <div class="col-9">
                  <div class="container">
                    <label class="form">ชื่อผู้ติดต่อ :</label>
                    <b-form-group
                      :valid-feedback="validFeedbackUsername"
                      :invalid-feedback="invalidFeedbackUsername"
                      :state="stateUsername"
                    >
                      <b-form-input
                        class="forminput"
                        type="text"
                        placeholder="ชื่อผู้ติดต่อ"
                        v-model="Username"
                      ></b-form-input>
                    </b-form-group>
                    <br />
                    <label class="form">รายละเอียด : </label><br />
                    <b-form-group
                      :valid-feedback="validFeedbackDetail"
                      :invalid-feedback="invalidFeedbackDetail"
                      :state="stateDetail"
                    >
                      <textarea
                        class="forminput"
                        placeholder="รายละเอียด"
                        v-model="Detail"
                        cols="32"
                        rows="3"
                      ></textarea></b-form-group
                    ><br /><br />
                    <label class="form">กรุณากรอกรหัส :</label><br />
                    <b-form-group
                      :valid-feedback="validFeedbackPassword"
                      :invalid-feedback="invalidFeedbackPassword"
                      :state="statePassword"
                    >
                      <div
                        style="
                          border: solid 3px #ebebe0;
                          padding: 10px;
                          margin: -8px 0px;
                        "
                      >
                        AAA1a
                      </div>
                      <br />
                      <b-form-input
                        class="forminput"
                        type="text"
                        placeholder="ใส่รหัส"
                        v-model="Password"
                      ></b-form-input>
                    </b-form-group>
                  </div>

                  <br />
                  <div class="Buttonbtn">
                    <button class="btn btn-success" style="margin-right: 120px">
                      ยืนยัน
                    </button>
                    <button class="btn btn-danger">ยกเลิก</button>
                  </div>
                </div>
              </div>
            </b-col>
          </b-row>
        </b-col>
      </b-row>
    </b-container>
  </div>
</template>
<script>
export default {
  data () {
    return {
      Username: '',
      Detail: '',
      Password: ''
    }
  },
  computed: {
    stateUsername () {
      return this.Username.length > 0
    },
    invalidFeedbackUsername () {
      if (this.Username.length === 0) {
        return 'กรุณากรอกชื่อผู้ใช้งาน'
      }
      return 'กรุณากรอกชื่อผู้ใช้งาน'
    },
    validFeedbackUsername () {
      return this.Username.length > 0 ? 'สำเร็จ' : ''
    },
    stateDetail () {
      return this.Detail.length > 20
    },
    invalidFeedbackDetail () {
      if (this.Detail.length === 0) {
        return 'กรอกรายละเอียด'
      }
      return 'กรอกรายละเอียด'
    },
    validFeedbackDetail () {
      return this.Detail.length >= 20 ? 'สำเร็จ' : ''
    },
    statePassword () {
      return this.Password.length === 5
    },
    invalidFeedbackPassword () {
      if (this.Password.length === 0) {
        return 'กรุณากรอกรหัส'
      }
      return 'กรุณากรอกรหัสใหม่'
    },
    validFeedbackPassword () {
      return this.Password.length === 5 ? 'สำเร็จ' : ''
    }
  }
}
</script>
<style>
#headerDetail {
  border: solid 3px #ebebe0;
  padding: 0px;
  margin: 2px;
}
#header {
  background-color: LightGray;
  text-align: center;
  padding: 10px;
}
.Detailbox {
  padding: 20px;
  margin: 10px;
}
.container {
  padding-left: 200px;
}
.Buttonbtn {
  padding-left: 200px;
}
</style>
